Download it now!
Bug 128230 - Disabling of password protected change tracking is possible
Summary: Disabling of password protected change tracking is possible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.4.0 target:6.3.4 target:6.5....
Keywords: needUITest, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2019-10-18 11:55 UTC by NISZ LibreOffice Team
Modified: 2020-03-09 15:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the confirmation dialog in Writer. No password is asked after this. (21.65 KB, image/png)
2019-10-18 11:55 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-10-18 11:55:23 UTC
Created attachment 155117 [details]
Screenshot of the confirmation dialog in Writer. No password is asked after this.

In a document (attachment #155115 [details] from bug #128229) with password protected changes it is possible to turn off change tracking without entering the password in File – Properties – Security – Record Changes.
Using Edit – Track Changes – Record in the same document asks for the change tracking password.


Steps to reproduce:
1.	Open attached document.
2.	Choose Edit – Track Changes – Record. A password prompt appears.
3.	Close the password prompt and go to File – Properties – Security
4.	Uncheck the Record changes box. A warning appears: 
“This action will exit the change recording mode.
Any information about changes will be lost.

Exit change recording mode?”
5.	Select Yes in this window.

Actual results:
Change tracking is turned off without asking for password. The Unprotect button next to Record changes becomes Protect so one can set a new change tracking password.
Turning on Record changes, then off again asks for (and accepts) the original change tracking password.

Expected results:
Record changes checkbox should ask for the change tracking password for the first time, like the Edit – Track Changes – Record command does.

Also the confirmation prompt might be entirely unnecessary, since it is displayed on the Security tab, and Edit – Track Changes – Record does not bother the user with a similar warning.
Further, it is quite incorrect: “Any information about changes will be lost.” - not true, existing tracked changes will be kept, only new ones will not be recorded,

LibreOffice details:
Version: 6.4.0.0.alpha1+ (x86)
Build ID: f0340d58cc0f2808ce8003099ff2a0495360f267
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Also happens in:

Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)

Verzió: 4.2.0.4
Build az.: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

Verzió: 4.1.0.4
Build az.: 89ea49ddacd9aa532507cbf852f2bb22b1ace28

But not in:
Verzió: 4.0.0.3 (Build az.: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 1 Commit Notification 2019-10-22 08:00:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e7bb875b3e9b5d35e8077484b4b43fcca79d30b7

tdf#128230 Require password if the Unprotect button is visible

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2019-10-22 11:11:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/47a3a8042d79a8b287b9efec532f5d14049553d0

tdf#128230 Require password if the Unprotect button is visible

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-10-23 10:34:05 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: 437dc68285dab0f08a1ded2193d86d64f560cd9b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Gabor, thanks for fixing this issue!!
Comment 4 Timur 2019-12-09 11:13:37 UTC
(In reply to NISZ LibreOffice Team from comment #0)
> Further, it is quite incorrect: “Any information about changes will be
> lost.” - not true, existing tracked changes will be kept, only new ones will not be recorded,
This is still as written.
Comment 5 Gabor Kelemen 2019-12-10 14:03:39 UTC
(In reply to Timur from comment #4)
> (In reply to NISZ LibreOffice Team from comment #0)
> > Further, it is quite incorrect: “Any information about changes will be
> > lost.” - not true, existing tracked changes will be kept, only new ones will not be recorded,
> This is still as written.

Oops, I forgot about that. Patch in: https://gerrit.libreoffice.org/84849
Comment 6 Commit Notification 2019-12-11 11:57:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/34f3fe6d8a36970e222ca42e82782a79dfee29ee

tdf#128230 (related) Correct wording for the CT disabling dialog

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-12-11 14:52:36 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/38af4a33eb20ff9eaee5560d9b0fd43454618659

tdf#128230 (related) Correct wording for the CT disabling dialog

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.